aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--common/hooks/post-pkg/01-xdelta_repolist.sh3
-rw-r--r--common/hooks/pre-pkg/01-xdelta_repolist.sh9
2 files changed, 5 insertions, 7 deletions
diff --git a/common/hooks/post-pkg/01-xdelta_repolist.sh b/common/hooks/post-pkg/01-xdelta_repolist.sh
index 24c961a470f..5d2fcd5368c 100644
--- a/common/hooks/post-pkg/01-xdelta_repolist.sh
+++ b/common/hooks/post-pkg/01-xdelta_repolist.sh
@@ -1,8 +1,7 @@
# This hook generates vcdiffs
hook() {
- set -x
- type -P xdelta3 > /dev/null || return 0;
+ type -P xdelta3 > /dev/null || return 0
find $XBPS_REPOSITORY -name '*.genVcdiff' | xargs -r sha256sum | \
while read chk oldfile; do
diff --git a/common/hooks/pre-pkg/01-xdelta_repolist.sh b/common/hooks/pre-pkg/01-xdelta_repolist.sh
index 4a3941885e2..c4cb0d5b518 100644
--- a/common/hooks/pre-pkg/01-xdelta_repolist.sh
+++ b/common/hooks/pre-pkg/01-xdelta_repolist.sh
@@ -1,11 +1,10 @@
# this hook marks files which are about to change for generating vcdiffs
hook() {
- type -P xdelta3 > /dev/null || return 0;
+ type -P xdelta3 > /dev/null || return 0
# create links to preserve old versions of repodata
- find $XBPS_REPOSITORY -name '*-repodata' | \
- while read; do
- ln "${REPLY}" "${REPLY}.genVcdiff"
- done
+ find $XBPS_REPOSITORY -name '*-repodata' | while read; do
+ ln "${REPLY}" "${REPLY}.genVcdiff"
+ done
}